/*
 *Copyright (C) 2001   LIS Laboratory Yann Davin
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef my_dialog_yuv__
#define my_dialog_yuv__

#include <wx/wx.h>

class my_dialog_yuv : public wxDialog
{
public:
  enum dialog_control{VALIDATE_TEST_DIALOG,
		      VALIDATE_WIDTH,
		      VALIDATE_HEIGHT,
		      VALIDATE_DIALOG_ID,
		      ID_QCIF_PAL,
		      ID_QCIF_NTSC,
		      ID_CIF_PAL,
		      ID_CIF_NTSC,
		      ID_CUSTOM,
		      ID_RADIOBOX};
  wxString width;
  wxString height;
  wxTextCtrl *TextCtrlWidth;
  wxTextCtrl *TextCtrlHeight;
  my_dialog_yuv(wxWindow *parent, const wxString& title,
		const wxPoint& pos, const wxSize& size,
		const long style = wxDEFAULT_DIALOG_STYLE);
  void OnOk();
  void OnRadioBox();
  DECLARE_EVENT_TABLE()
};

#endif
