/*
 *Copyright (C) 2001  LIS Laboratory  LIS Laboratory Yann Davin
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef sequence_yuv__
#define sequence_yuv__

#include <vector>

#include <wx/string.h>

#include "sequence.hh"

using namespace std;

class sequence_yuv : public sequence
{
private:
  int calcul_nb_pictures();
public:
  sequence_yuv(vector<wxString> filenames,
		  int width,
		  int height);
  wxImage* load(int position);
  bool must_free_data_image() const;
};

#endif
