/*
 *Copyright (C) 2001  Yann Davin
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef my_thread_load__
#define my_thread_load__

#include <wx/thread.h>
#include <wx/image.h>

#include "my_frame.hh"

class buffer;
class my_frame;

class my_thread_load : public wxThread
{
private:
  my_frame* mother_frame;
  buffer* my_buffer;
  sequence* my_sequence;
public:
  bool should_continue;
  my_thread_load(my_frame& frame,buffer& buf,sequence& seq);
  bool conditions_for_break(int i,type_of_current_reading cr);
  virtual void* Entry();
  virtual void OnExit();
};
#endif
